#!/usr/bin/env python
# -*- coding: utf-8 -*-

# The simplest demo showing some stuffs.
# Copyright Gummbum, 4/18/2017. Free software, no warranty express or implied.

import math
import pygame
import hudlight

# Basic pygame init.
pygame.init()
pygame.display.set_caption('HUD Light - Demo 1, So Easy | Esc or Close to quit')
clock = pygame.time.Clock()
screen = pygame.display.set_mode((600, 400))
screen_rect = screen.get_rect()

# A radar sweep visual.
origin = screen_rect.center
radius = 50
angle = 0
arm_color = pygame.Color('green')

# A HUD to display metrics.
hud = hudlight.HUD()
hud.add('fps', 'FPS {:0.0f}', 0)
hud.add('radians', 'Radians {:0.1f}', angle)

while 1:
    clock.tick(60)
    [quit() for e in pygame.event.get() if e.type in (pygame.KEYDOWN, pygame.QUIT)]

    angle = (angle + 0.025) % (2 * math.pi)
    x = math.cos(angle) * radius + origin[0]
    y = math.sin(angle) * radius + origin[1]

    hud.update_item('fps', clock.get_fps())
    hud.update_item('radians', angle)

    screen.fill((0, 0, 0))
    pygame.draw.line(screen, arm_color, origin, (x, y))
    hud.draw(screen)
    pygame.display.flip()
