#!/usr/bin/env python
# -*- coding: utf-8 -*-

# The simplest demo showing some stuffs.
# Copyright Gummbum, 4/18/2017. Free software, no warranty express or implied.

import math
import pygame
import hudlight
import hudthemes

# Basic pygame init.
pygame.init()
pygame.display.set_caption('HUD Light - Demo 5, Modify a Theme | Esc or Close to quit')
clock = pygame.time.Clock()
screen = pygame.display.set_mode((600, 400))
screen_rect = screen.get_rect()

# Modify a theme locally.
# Note: To modify the theme globally leave off .copy(). HUD_THEMES will be updated.
# Note: You can also create your own themes and add them to HUD_THEMES on the fly.
hudlight.set_font_template('fonts/%s')
theme_name = 'default'
theme = hudthemes.HUD_THEMES[theme_name].copy()
theme.update(dict(fontsize=32, gcolor='purple'))
hud = hudlight.HUD(**theme)
hud.space = 0
hud.add('theme', 'Theme {}', theme_name)
hud.add('fontname', 'Name {}', theme['fontname'])
hud.add('fontsize', 'Size {}', theme['fontsize'])
hud.add('color', 'Color {}', theme['color'])
hud.add('gcolor', 'GColor {}', theme['gcolor'])
hud.add('ocolor', 'OColor {}', theme['ocolor'])
hud.add('scolor', 'SColor {}', theme['scolor'])
hud.add('shadow', 'Shadow {}', theme['shadow'])
hud.add('fps', 'FPS {:0.0f}', 0)

while 1:
    clock.tick(60)
    [quit() for e in pygame.event.get() if e.type in (pygame.KEYDOWN, pygame.QUIT)]

    hud.update_item('fps', clock.get_fps())

    screen.fill((0, 0, 0))
    hud.draw(screen)
    pygame.display.flip()
